/* Allgemeine Schriftart für die gesamte Seite */
body, h1, h2, h3, h4, h5, h6, p, a, li, button {
    font-family: 'Fira Sans', sans-serif;
}

/* Fixierter Header */
.fixed-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 160px; /* Höhe des Headers */
    background-size: cover;
    background-position: center;
    background-image: none; /* Kein Hintergrundbild im Header anfangs */
    z-index: 1003;
    opacity: 1;
    transition: all 0.0s ease-in-out; /* Glatte Transition */
}

/* Wechsel bei Scrollen */
.fixed-header.scrolled {
    background-image: url('../img/greencert-bild.jpg'); /* Hintergrundbild, wenn gescrollt wurde */
/*    background-color: rgba(0, 0, 0, 0.5); /* Leichte Überlagerung zur besseren Lesbarkeit */
    backdrop-filter: blur(10px); /* Hintergrund weichzeichnen */
    background-position: bottom; /* Hintergrundbild an der unteren Kante ausrichten */

}
section {
    scroll-margin-top: 160px; /* Höhe des fixed Headers */
}

/* Hero-Section */
.hero-section {
    height: 100vh; /* Vollbild-Hero */
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    text-align: center;
    position: relative;
    overflow: hidden;
}


.hero-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}

.hero-section h1 {
    font-size: 4rem;
    font-weight: 700;
    z-index: 2;
    color: #fff;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.hero-section .uk-button {
    border: 2px solid #fff;
    color: #fff;
    background: transparent;
    z-index: 2;
    padding: 10px 20px;
    font-size: 1.2rem;
    transition: background 0.0s ease, color 0.3s ease;
    font-family: 'Fira Sans', sans-serif; /* Sicherstellen, dass auch Buttons die Fira Sans verwenden */
}

.hero-section .uk-button:hover {
    background: #fff;
    color: #000;
}

/* Platz für den fixierten Header */
.content {
    padding-top: 160px; /* Platz für den fixierten Header */
}

/* Logos */
.logo {
    max-height: 120px; /* Größe des Logos */
    position: absolute;
    left: 40px; /* 40px Abstand vom linken Rand */
    top: 20px; /* 20px Abstand vom oberen Rand */
    transition: opacity 0.3s ease;
    opacity: 0;
    z-index: 1004; /* Sicherstellen, dass das Logo immer über dem Menü liegt */
}

.logo.visible {
    opacity: 1;
}

/* Anpassungen für die Navbar */
.navbar {
    display: flex;
    justify-content: space-between; /* Logo links und Hamburger-Menü rechts */
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 0 20px; /* Abstand innerhalb der Navbar */
    background-color: transparent;
    z-index: 1002;
    height: 80px; /* Höhe der Navbar */
}

.hamburger {
    cursor: pointer;
    width: 30px;
    height: 30px;
    position: absolute;
    right: 20px; /* Positionierung oben rechts */
    top: 20px; /* Gleicher Abstand wie das Logo */
    z-index: 1005; /* Höchste Ebene für Klickbarkeit */
}

.hamburger div {
    width: 100%;
    height: 3px;
    background-color: #fff;
    margin: 5px 0;
    transition: 0.4s;
}

.hamburger.open div:nth-child(1) {
    transform: rotate(-45deg) translate(-5px, 5px);
}

.hamburger.open div:nth-child(2) {
    opacity: 0;
}

.hamburger.open div:nth-child(3) {
    transform: rotate(45deg) translate(-5px, -5px);
}

/* Mobilmenü */
.navbar-mobile {
    display: none;
    position: fixed;
    top: 160px; /* Startet unterhalb der Navbar */
    right: 0;
    background-color: rgb(145, 179, 78); /* Neue Farbe */
    height: calc(100vh - 160px); /* Höhe des Bildschirms abzüglich der Navbar-Höhe */
    width: 100%;
    z-index: 1001;
    padding-top: 60px;
    text-align: center;
    overflow: hidden;
}

.navbar-mobile.open {
    display: block;
}

.navbar-mobile ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.navbar-mobile ul li {
    margin: 30px 0;
    opacity: 0; /* Startet unsichtbar */
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.navbar-mobile ul li:nth-child(odd) {
    animation-name: slideInFromLeft;
}

.navbar-mobile ul li:nth-child(even) {
    animation-name: slideInFromRight;
}

.navbar-mobile ul li a {
    font-size: 2.5rem; /* Größerer Text im mobilen Menü */
    color: #fff;
    text-decoration: none;
}

.navbar-mobile ul li a:hover {
    color: #ddd; /* Leichte Änderung bei Hover */
}

/* Animationen */
@keyframes slideInFromLeft {
    from {
        transform: translateX(-100%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInFromRight {
    from {
        transform: translateX(100%);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

/* Sektionen nach der Hero Section */
.uk-section {
    padding: 50px 0;
    background-color: #f7f7f7;
}

/* Weitere Sektionen Styling */
#about, #services, #references, #contact {
    background-color: #fff;
    padding: 50px 0;
}
/*SERVICE*/
.services-grid .service-item {
    display: flex;
    flex-direction: column;
}

.services-grid .service-item h3 {
    min-height: 0em; /* oder eine Höhe, die zu Ihren Überschriften passt */
    margin-bottom: 0em; /* Abstand unter der Überschrift */
}

.services-grid .service-item p {
    flex-grow: 1; /* Text nimmt den verbleibenden Platz ein */
}




/* Footer */
footer {
    background: #333;
    color: #fff;
    padding: 30px 0;
    text-align: center;
    font-size: 0.9rem;
    line-height: 1.6;
}

footer a {
    color: #fff; /* Textfarbe */
    text-decoration: none; /* Unterstreichung entfernen */
}

footer a:hover {
    color: #ccc; /* Hover-Farbe */
}


/* Modernes Styling für das Kontaktformular */
.contact-form {
    background: #f7f7f7;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
}

.contact-form .uk-form-label {
    font-size: 1.2rem;
    color: #333;
    margin-bottom: 10px;
}

.contact-form .uk-input,
.contact-form .uk-textarea {
    border-radius: 5px;
    border: 1px solid #ccc;
    padding: 15px;
    font-size: 1rem;
    width: 100%;
    margin-bottom: 20px;
    box-sizing: border-box;
    transition: border-color 0.3s;
}

.contact-form .uk-input:focus,
.contact-form .uk-textarea:focus {
    border-color: rgb(145, 179, 78);
    outline: none;
}

.contact-form button.uk-button {
    background-color: rgb(145, 179, 78);
    border: none;
    color: #fff;
    padding: 15px 30px;
    font-size: 1rem;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.contact-form button.uk-button:hover {
    background-color: #7da44c;
}

.contact-form p {
    margin-top: 10px;
    font-size: 0.9rem;
    color: #666;
}

#contact a {
    color: inherit; /* Farbe des übergeordneten Textes übernehmen */
    text-decoration: none; /* Keine Unterstreichung */
}

#contact a:hover {
    color: inherit; /* Keine Änderung der Farbe beim Hover */
    text-decoration: none; /* Keine Unterstreichung beim Hover */
}